%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Summary: K Desktop Environment Hexidecimal file editor
Name: khexedit
Version: 0.8.5
Release: 3
Group: Applications/Internet
Copyright: GPL
Source: http://home.sol.no/~espensa/khexedit/%{name}-%{version}.tar.gz
Patch: khexedit-alpha.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: kdesupport
BuildPrereq: kdelibs-devel
Prefix: %{kdeprefix}
Url: http://home.sol.no/~espensa/khexedit/
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
ExcludeArch: ia64

%description
KHexEdit is a versatile binary file editor. Its key features are
undo/redo, overwrite/insert modes, hexadecimal, octal, binary or text
only display, goto/search/replace/insert, character table, pretty
printing (postscript), export to HTML, session management and
drag/drop within the KDE environment and compatibility with Qt-1.4x
and Qt-2.x.

%prep
%setup -q
cd kde1x
%patch

%build -n %{name}-%{version}
cd kde1x
export KDEDIR=%{prefix} QTDIR=%{qtdir} ROOT=/
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT
make -j $CPUS CXX="${CXX}" CC="${CC}" \
     CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

cd kde1x
make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
	$RPM_BUILD_DIR/file.list.%{name} 

find . -type f | sed -e 's|^\.|\%attr(-,root,root) |' \
        -e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
	$RPM_BUILD_DIR/file.list.%{name}      

%files -f ../file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT ../file.list.%{name}

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move back to powertools (kde1 is now installed as default)
- rebuilt against the kdelibs-1.1.2

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile

* Thu Jan 13 2000 Ngo Than <than@redhat.de>
- updated to 0.8.5

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- initial RPM
